POST api/batchapi/add/loadingstep?siteId={siteId}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
siteId

globally unique identifier

Required

Body Parameters

BatchLoadingStepViewModel
NameDescriptionTypeAdditional information
id

globally unique identifier

None.

mediwave_id

globally unique identifier

Required

batch_details

Collection of BatchDetailViewModel

None.

Request Formats

application/json, text/json

Sample:
{
  "id": "4454e283-01c1-4bc3-931b-04b36de8c7e8",
  "mediwave_id": "0aac4f3b-bb47-4599-9746-439f07324248",
  "batch_details": [
    {
      "id": "8b3c34f9-83ff-4fd8-8785-5468b1e203d2",
      "compartment": 2,
      "witness_code": 3,
      "unload_time": "2026-06-09T06:47:23.6854289+00:00",
      "reference": "sample string 4"
    },
    {
      "id": "8b3c34f9-83ff-4fd8-8785-5468b1e203d2",
      "compartment": 2,
      "witness_code": 3,
      "unload_time": "2026-06-09T06:47:23.6854289+00:00",
      "reference": "sample string 4"
    }
  ]
}

application/xml, text/xml

Sample:
<batch_loading_step xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <batch_details>
    <batch_detail>
      <compartment>2</compartment>
      <id>8b3c34f9-83ff-4fd8-8785-5468b1e203d2</id>
      <reference>sample string 4</reference>
      <unload_time>2026-06-09T06:47:23.6854289+00:00</unload_time>
      <witness_code>3</witness_code>
    </batch_detail>
    <batch_detail>
      <compartment>2</compartment>
      <id>8b3c34f9-83ff-4fd8-8785-5468b1e203d2</id>
      <reference>sample string 4</reference>
      <unload_time>2026-06-09T06:47:23.6854289+00:00</unload_time>
      <witness_code>3</witness_code>
    </batch_detail>
  </batch_details>
  <id>4454e283-01c1-4bc3-931b-04b36de8c7e8</id>
  <mediwave_id>0aac4f3b-bb47-4599-9746-439f07324248</mediwave_id>
</batch_loading_step>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

globally unique identifier

Response Formats

application/json, text/json

Sample:
"8e26463e-26d7-47c0-9ac1-aedb265d79c5"

application/xml, text/xml

Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">8e26463e-26d7-47c0-9ac1-aedb265d79c5</guid>